<template>
  <div class="card">
    <div class="card-header">
      <h3 class="card-title">Структура витрины</h3>

      <div class="card-tools">
        <button category="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
          <i class="fas fa-minus"></i>
        </button>
        <button category="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
          <i class="fas fa-times"></i>
        </button>
      </div>
    </div>
    <div class="card-body p-0" style="display: block;">
      <table class="table table-striped projects">
        <thead>
        <tr>
          <th style="width: 15%">
            Классы
          </th>
          <th style="width: 40%">
            Модели
          </th>
          <th>
            Кол-во на витрине
          </th>
          <th style="width: 8%" class="text-center">
            Статус
          </th>
          <th style="width: 20%">
          </th>
        </tr>
        </thead>
        <tbody v-for="category in categoriesObj">
        <tr>
          <td>
            <a>{{ category.category_name }}</a>
            <br>
            <small>
              Изменено: {{ category.data }}
            </small>
          </td>
          <td>
            <ul class="list-inline">
              <li class="list-inline-item" v-for="model in category.models">
                <a href="#">
                  <img alt="Bike" :src="model.image"
                       title=""
                       style="height: 50px">
                </a>
              </li>
            </ul>
          </td>
          <td class="project_progress">{{ category.stock.length }}</td>
          <td class="project-state" @change.prevent="changeStatus(category.id, category.category_status)">
            <switches
                v-model="category.category_status"
                color="green"></switches>
          </td>
          <td class="project-actions text-right d-flex">
            <a class="btn btn-info btn-sm mr-2"
               :href="`/api/admin/category/category-edit/${category.id}`"
            >
              <i class="fas fa-pencil-alt">
              </i>
              Редактировать
            </a>
            <button class="btn btn-danger btn-sm"
                    @click="deletecategory(category.id)"
            >
              <i class="fas fa-trash"></i>
              Удалить
            </button>
          </td>
        </tr>
        </tbody>
      </table>
    </div>
    <!-- /.card-body -->
  </div>
</template>

<script>
import Switches from 'vue-switches'

export default {
  components: {Switches},
  name: "CategoryComponent",
  props: ['categories'],
  data() {
    return {
      categoriesObj: this.categories,
      href: 1
    }
  },
  methods: {
    changeStatus(id, status) {
      axios.post(`/api/admin/category/category-update/${id}`, {
        'category_status': status,
        'category_id': id
      })
    },
    deletecategory(id) {
      axios.post(`/api/admin/category/category-delete/${id}`)
          .then(this.categoriesObj = this.categoriesObj.filter(item => item.id != id))
    }
  }
}
</script>

<style scoped>

</style>